<?php

// These functions exist in newer versions of PHP and are implemented here to ease supporting older builds

if (! function_exists ('file_get_contents')) {
    
    function file_get_contents ($file) {
        
        ob_start();
        $retval = @readfile($file);
        
        if (false !== $retval) { // no readfile error
            
            $retval = ob_get_contents();
            
        }
        
       ob_end_clean();
       return $retval;
       
    }

}

if (! function_exists ('md5_file')) {

    function md5_file ($file) {
        
        $fp = @fopen($file,"r");
        
        if(is_resource($fp)) {

            while(!feof($fp)) {
        
                $con .= fread($fp,512);
            }

            fclose($fp);
            $con = md5($con);
        }

        return (!isset($con))?FALSE:$con;
    }
}

?>
